from django.urls import path
from . import views

app_name = 'gestion_projet'

urlpatterns = [
    path(
        '', 
        views.index, 
        name='index'
    ),
    path(
        'modifier-financement/<int:financement_id>/', 
        views.modifier_financement_projet, 
        name='modifier-financement'
    ),
    path(
        'projet/creation/', 
        views.creation_projet, 
        name='creation-projet'
    ),
    path(
        'bailleurs/',
          views.liste_bailleur, 
         name='liste-bailleurs'
    ),

    path(
        'projet/modifier/<int:projet_id>/', 
        views.modification_projet, 
        name='modifier-projet'
    ),
    path(
        'liste-projet/', 
        views.liste_projet, 
        name='liste-projet'
    ),
    path(
        'projet/suppression/<int:id>/', 
        views.suppression_projet, 
        name='projet-suppression'
    ),
    path(
        'projet/ajouter-financement',
        views.ajouter_financement_projet, 
        name='ajouter_financement'
    ),
    path(
        'creation-bailleur', 
        views.creation_bailleur, 
        name='creation-bailleur'
    ),
    path(
        'projet/affectation/<int:projet_id>', 
        views.affecter_employe_projet, 
        name='affecter-employe-projet'
    ),
    path(
        'projet/ajout-de-document/', 
        views.ajouter_document_projet, 
        name='ajouter-document'
    ),
    path(
        'projet/bailleurs/<str:projet_id>/', 
        views.liste_bailleurs, 
        name='liste-bailleurs'
    ),
    path(
        'activite/', 
        views.activites_projet, 
        name='activites-projet'
    ),
    path(
        'activite/ajouter/', 
        views.ajouter_activite_projet, 
        name='ajouter-activite'
    ),
    path(
        'activite/modifier/<int:id>/', 
        views.modifier_activite_projet, 
        name='modifier-activite'
    ),
    path(
        'activite/annuler/', 
        views.annuler_activite_projet, 
        name='annuler-activite'
    ),
    path(
        'activite/liste/', 
        views.liste_activites_projet, 
        name='liste-activites-projet'
    ),
    
    # path(
    #     'projet/ajout-de-document/', 
    #     views.ajouter_document_projet, 
    #     name='ajouter-document'
    # ),
    path(
        'projet/liste-des-documents/', 
        views.liste_documents_projet, 
        name='liste-documents-projet'
    ),
    path(
        'activite/liste-des-livrables/<int:activite_id>/', 
        views.liste_livrables_activite, 
        name='liste-livrables-activite'
    ),
    path(
        'projet/ajout-de-livrable/', 
        views.ajouter_livrables_projet, 
        name='ajouter-livrable'
    ),
    path(
        'activite/mise-a-jour-depense/',
        views.mises_a_jour_depense_activite,
        name='mettre-a-jour-depense'
    ),
    path(
        'projet/liste-employes-par-projet/<str:projet_id>',
        views.liste_employes_affectes,
        name='liste-employes-affectes'
    ),
    path(
        'projet/mises-a-jour-projet',
        views.mises_a_jour_projet,
        name='mises-a-jour-projet'
    )
    
]

